## org.herac.tuxguitar.android.application_1821_src.tar.gz

=== Makefile ===
#! /usr/bin/make -f
# -*- makefile -*-
#ident "$Id: Makefile,v 1.19 2008/04/17 20:06:22 rzr Exp $"
#@author: created by www.philippe.coval.online.fr -- revision: $Author: rzr $
#licence: LGPL-2.1
#------------------------------------------------------------------------------
default: build

PACKAGE?=tuxguitar

JNI_OS?=linux
JAVA_HOME?=/usr/lib/jvm/java-6-sun/
JAVA_VERS?=1.4

ITEXT_JAR?=/usr/share/java/itext.jar

SWT_JAR?=$(shell echo ` \
    ( t=/usr/share/java/swt.jar && test -r "$$t" && echo $$t ) \
 || ( t=/usr/lib/java/swt.jar && test -r "$$t" && echo $$t ) \
 || ( t=/usr/lib/java/swt-gtk-3.5.1.jar && test -r "$$t" && echo $$t ) \
 || ( t=/usr/lib/java/swt-gtk-3.5.jar && test -r "$$t" && echo $$t ) \
 || ( t=/etc/alternatives/swt.jar && test -r "$$t" && echo $$t ) \
` )
SWT_PATH?=${SWT_JAR}

PACKAGE_JAR?=${CURDIR}/TuxGuitar/${PACKAGE}.jar
TUXGUITAR_PATH?=${PACKAGE_JAR}

PACKAGE_EXEC?=${CURDIR}/misc/${PACKAGE}.sh

JNILIB_SUFFIX?=.so
JNILIB_PREFIX?=lib

subdirs?=\
 TuxGuitar \
 TuxGuitar-compat \
 TuxGuitar-ascii \
 TuxGuitar-gtp \
 TuxGuitar-musicxml \
 TuxGuitar-ptb \
 TuxGuitar-tef \
\
 TuxGuitar-pdf \
 TuxGuitar-midi \
 TuxGuitar-tray \
 TuxGuitar-lilypond \
\
 TuxGuitar-jsa \
\
 TuxGuitar-converter \
 TuxGuitar-community \
 TuxGuitar-tuner \
#}subdirs

subdirs_jni?=\
 TuxGuitar-alsa \
 TuxGuitar-oss \
 TuxGuitar-fluidsynth \
 TuxGuitar-jack \
 #}subdirs_jni

#
export PACKAGE_JAR
###

out_java?=\
 ./TuxGuitar/tuxguitar.jar \
 ./TuxGuitar-compat/tuxguitar-compat.jar \
 ./TuxGuitar-lilypond/tuxguitar-lilypond.jar \
 ./TuxGuitar-midi/tuxguitar-midi.jar \
 ./TuxGuitar-gtp/tuxguitar-gtp.jar \
 ./TuxGuitar-pdf/tuxguitar-pdf.jar \
 ./TuxGuitar-tef/tuxguitar-tef.jar \
 ./TuxGuitar-ascii/tuxguitar-ascii.jar \
 ./TuxGuitar-tray/tuxguitar-tray.jar \
 ./TuxGuitar-ptb/tuxguitar-ptb.jar \
 ./TuxGuitar-musicxml/tuxguitar-musicxml.jar \
 ./TuxGuitar-converter/tuxguitar-converter.jar \
 ./TuxGuitar-community/tuxguitar-community.jar \
 ./TuxGuitar-tuner/tuxguitar-tuner.jar \
 #}out_java

out_jsa?=TuxGuitar-jsa/tuxguitar-jsa.jar

out_sun?=\
 TuxGuitar-library-ftp/tuxguitar-browser-ftp.jar \
 TuxGuitar-library-http/tuxguitar-library-http.jar \
 #}out_sun

out_linux?=\
 ./TuxGuitar-alsa/tuxguitar-alsa.jar \
 ./TuxGuitar-alsa/jni/libtuxguitar-alsa-jni.so \
 ./TuxGuitar-oss/tuxguitar-oss.jar \
 ./TuxGuitar-oss/jni/libtuxguitar-oss-jni.so \
 ./TuxGuitar-fluidsynth/tuxguitar-fluidsynth.jar \
 ./TuxGuitar-fluidsynth/jni/libtuxguitar-fluidsynth-jni.so \
 ./TuxGuitar-jack/tuxguitar-jack.jar \
 ./TuxGuitar-jack/jni/libtuxguitar-jack-jni.so \
 #}out_linux

out_windows?=TuxGuitar-winmm/tuxguitar-winmm.jar

out_macos?=TuxGuitar-CoreAudio/tuxguitar-coreaudio.jar

#all?=${out_java} out_${JNI_OS} ${out_jsa} ${out_sun}  # TODO
all?=${out_java} ${out_${JNI_OS}} ${out_jsa}

###

ANT_FLAGS?=\
 -Dpath.tuxguitar="${PACKAGE_JAR}" \
 -Dpath.itext="${ITEXT_JAR}" \
 -Dpath.swt="${SWT_JAR}" \
 -Dlib.swt.jar="${SWT_JAR}" \
 -Ddist.version="java" \
 -Ddist.file="NOT_EXISTENT_FILE" \
 -Dant.build.javac.source=${JAVA_VERS} \
 -Dant.build.javac.target=${JAVA_VERS} \
 -Dbuild.jni.library.dir=. \
 -Dbuild.jni.library.extension=${JNILIB_SUFFIX} \
 -Dbuild.jni.library.prefix=${JNILIB_PREFIX} \
 -lib ${CURDIR}/TuxGuitar \
 #}ANT_FLAGS

CFLAGS?=\
 -I$(shell gcj -print-file-name=include/)

CFLAGS+= \
-I${JAVA_HOME}/include/ \
-I${JAVA_HOME}/include/${JNI_OS}

MAKE_FLAGS+=\
 SWT_PATH=${SWT_PATH} \
 JAVA_HOME=${JAVA_HOME} \
 JNILIB_SUFFIX=${JNILIB_SUFFIX} \
 JNILIB_PREFIX=${JNILIB_PREFIX} \
 CFLAGS=${CFLAGS}
 #} MAKE_FLAGS

PREFIX?=${DESTDIR}/usr
INSTALL_BIN_DIR?=${PREFIX}/bin/
INSTALL_LIB_DIR?=${PREFIX}/lib/jni/
INSTALL_DOC_DIR?=${PREFIX}/share/${PACKAGE}/doc/
INSTALL_SHARE_DIR?=${PREFIX}/share/${PACKAGE}/
INSTALL_JAR_DIR?=${INSTALL_SHARE_DIR}/

build: help all

rebuild: clean fix build

all: ${all}

all-java: ${out_java}

all-linux: ${out_linux}

all-sun: ${out_sun}

%.jar:
	cd ${@D} && ant -v -d ${ANT_FLAGS} all

%.so:
	${MAKE} -C ${@D}/../jni/ ${@F}

#%.native:
#	 make -C $$t  ${MAKE_FLAGS} library_jni

subdirs: ${subdirs}
	for t in $^ ; do \
	 cd "${CURDIR}/$$t" && ant -v -d ${ANT_FLAGS} build ; \
	done

fix: overide

overide: COPYING

COPYING: TuxGuitar
	-@cp -a $</doc/LICENSE ./COPYING
	-@cp -a $</doc/LICENSE ./
	-@cp -a $</doc/CHANGES ChangeLog
	-@cp -a $</doc/README ./
	-@cp -a $</doc/AUTHORS ./

install: ${all}
	-install -d ${PREFIX}
	-install -d ${INSTALL_BIN_DIR}
	-install -d ${INSTALL_JAR_DIR}
	-install -d ${INSTALL_SHARE_DIR}
	-install -d ${INSTALL_DOC_DIR}
#	-install -m 755 ./TuxGuitar/${PACKAGE} ${INSTALL_BIN_DIR}/${PACKAGE}
	-install -m 644 ${PACKAGE_JAR} ${INSTALL_JAR_DIR}/${PACKAGE}.jar
	install -d ${INSTALL_BIN_DIR}
	mkdir -p  ./TuxGuitar/share/plugins/
	for t in ${subdirs} ; do cp $$t/*.jar ./TuxGuitar/share/plugins/ ; done
#	-find . -iname "*.jar" -exec cp {} ./TuxGuitar/share/plugins/ \;
	cp -rfa ./TuxGuitar/doc/* ${INSTALL_DOC_DIR}/
#	cp -rfa ./TuxGuitar/share/* ${INSTALL_SHARE_DIR} # TODO
	cp -rfa ./TuxGuitar/share/help ${INSTALL_SHARE_DIR} # TODO
	cp -rfa ./TuxGuitar/share/lang ${INSTALL_SHARE_DIR} # TODO
	cp -rfa ./TuxGuitar/share/scales ${INSTALL_SHARE_DIR} # TODO
	cp -rfa ./TuxGuitar/share/skins ${INSTALL_SHARE_DIR} # TODO
	-cp -a misc/${PACKAGE}.tg ${INSTALL_SHARE_DIR} # TODO
	-install -T ${PACKAGE_EXEC} ${INSTALL_BIN_DIR}/${PACKAGE}
#	-${MAKE} install-jni

install-linux:
	install -d ${INSTALL_LIB_DIR}
	install -s TuxGuitar*/jni/lib*.so ${INSTALL_LIB_DIR}

clean:
	find . -iname "*.class" -exec rm -fv "{}" \;
	find . -iname "*.jar" -exec rm -fv "{}" \;
	find . -iname "*.jnilib" -exec rm -fv "{}" \;
	find . -iname "*.o" -exec rm -fv "{}" \;
	find . -iname "*.so" -exec rm -fv "{}" \;
	find . -type l -exec rm -fv "{}" \;
	rm -rf TuxGuitar/tmp

run: ${PACKAGE_EXEC}
	cd ./TuxGuitar && APP_HOME=. ; ${SHELL} $<

test: ${PACKAGE_EXEC}
	cd TuxGuitar && APP_HOME=. ; \
	 export PACKAGE_CLASSPATH="${PACKAGE_JAR}:." ;\
	 DEBUG=1 ${SHELL} $< --version

help:
	@echo "# JAVA_HOME=${JAVA_HOME}"
	@echo "# JAVA=${JAVA}"
	@echo "# JAVAC=${JAVAC}"
	@echo "# SWT_JAR=${SWT_JAR}"
	-which javac
	-which java
#	java -version

version?=$(shell date +%Y%m%d)
scmroot?=https://${PACKAGE}.svn.sourceforge.net/svnroot/${PACKAGE}/trunk

package_version?=0.0.${version}
snapshot_dir?=${PACKAGE}-snapshot-${package_version}
release_dir?=${PACKAGE}-${package_version}

dist tarball: snapshot


snapshot: ../${snapshot_dir}.tar.gz

../${snapshot_dir}.tar.gz: ../${snapshot_dir}
	cd ${@D} && tar czf ${@F}.tar.gz \
	 --exclude="debian" \
	 ${@D}

release:  ../${release_dir}.tar.gz

../${release_dir}.tar.gz: ../${release_dir}
	cd ${@D} && tar czf ${@F}.tar.gz \
	 --exclude="debian" --exclude "CVS" --exclude ".svn"\
	 ${@D}

../${snapshot_dir} ../${release_dir}:
	svn co ${scmroot} $@

#eof "$Id: Makefile,v 1.19 2008/04/17 20:06:22 rzr Exp $"

=== debian/changelog ===
tuxguitar (0.0-0) UNRELEASED; urgency=low

  * http://rzr.online.fr/q/tuxguitar

 -- Philippe Coval <rzr@gna.org>  Sat, 02 Oct 2010 18:34:38 +0200

tuxguitar (1.2-5) unstable; urgency=low

  * debian/tuxguitar.install:
    - Add tuxguitar-community.jar to plugins (Closes: #586968)

 -- tony mancill <tmancill@debian.org>  Tue, 06 Jul 2010 22:10:19 -0700

tuxguitar (1.2-4) unstable; urgency=low

  * Address bashism in /usr/bin/tuxguitar (Closes: #581142) 
    (Thank you to Raphael Geissert)
  * Switch to dpkg-source 3.0 (quilt) format
    - remove debian/README.source
    - remove patch-related targets in debian/rules
    - remove build-dep on quilt
  * debian/compat - upgrade to debhelper 7
  * Remove extraneous LICENSE file.

 -- tony mancill <tmancill@debian.org>  Mon, 17 May 2010 22:22:45 -0700

tuxguitar (1.2-3) unstable; urgency=low

  * Modify tuxguitar.sh to find swt-gtk-3.5.1.jar (Closes: #575898)

 -- tony mancill <tmancill@debian.org>  Tue, 04 May 2010 20:50:20 -0700

tuxguitar (1.2-2) unstable; urgency=low

  * Unbuild tuxguitar-gervill (Closes: #570556) :
    - since it depends on unpackaged component
  * Added jack plugin (Closes: #569999)
  * Merged upstream files in patch (Closes: #569910)

 -- Philippe Coval <rzr@gna.org>  Sun, 21 Feb 2010 22:51:26 +0100

tuxguitar (1.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Update swt-gtk dependency to 3.5 to fix FTBFS. (Closes: #564347)
    - Change XS-Vcs-* fields to Vcs-*.
    - Add ${misc:Depends}.
    - Bump Standards-Version to 3.8.4.
  * debian/rules: Don't install redundant LICENSE doc.

 -- nobled <nobled@dreamwidth.org>  Sun, 07 Feb 2010 01:40:52 +0000

tuxguitar (1.2-1) unstable; urgency=low

  * New upstream release (Closes: #510742)
  * Merged patch : tuxguitar_1.1-1ubuntu1.patch
  * Added Makefile : from upstream repo
  * debian/* :
    - Migrated to quilt
    - Updated standards

 -- Philippe Coval <rzr@gna.org>  Fri, 20 Nov 2009 16:14:19 +0100

tuxguitar (1.1-1.1) unstable; urgency=low

  * Non-maintainer upload for transition to xulrunner 1.9.1.
    (Closes: #548683)
  * debian/control: Depend on a xulrunner-1.9.1.
  * misc/tuxguitar.sh: Detect xulrunner 1.9.1.

 -- Mike Hommey <glandium@debian.org>  Sat, 10 Oct 2009 16:20:19 +0200

tuxguitar (1.1-1ubuntu1) karmic; urgency=low

  * Use Java Sound API and Gervill by default (LP: #311319)
  * Changed maintainer to MOTU developers
  * Depend on xulrunner 1.9.1 instead of 1.9 (LP: #424727)

 -- Teemu Heinämäki <teemu.heinamaki@gmail.com>  Wed, 5 Sep 2009 11:39:51 +0300

tuxguitar (1.1-1) unstable; urgency=low

  * New Upstream Release (Closes: #489859) (LP: #366476)
  * Merged patch : tuxguitar_1.0.dak-1ubuntu1.patch
  * debian/README.txt
    - suggests to install tuxguitar-jsa

 -- Philippe Coval <rzr@gna.org>  Sat, 25 Apr 2009 19:49:27 +0200

tuxguitar (1.0.dak-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable.
  * debian/control
    - Replace build dependency openjdk-6-jdk with default-jdk.
    - Remove unnecessary build dependencies gcj, java-gcj-compat-dev,
      sun-java5-jdk, icedtea-java7-jdk, libswt3.2-gtk-java.
    - Replace runtime dependency openjdk-6-jre with default-jre.
    - Remove unnecessary runtime java-gcj-compat, sun-java6-jre, sun-java5-jre,
      libswt3.2-gtk-java. Replaced java-virtual-machine with java2-runtime.
      (LP: #250137)
  * debian/rules
    - Set JAVA_HOME to the value corresponding to default-jdk.
  * misc/tuxguitar.sh
    - Ubuntu specific change for correct path of xulrunner-1.9 installation.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Tue, 13 Jan 2009 00:52:49 +0530

tuxguitar (1.0.dak-1) unstable; urgency=low

  [ Philippe Coval ]
  * debian/control ; debian/rules :
    - set to main since openjdk supports sound (Closes: #505612)
    - uses ${shlibs:Depends} vs hardcoded libs (Closes: #506883)
    - depends on at least xulrunner for browsing doc (Closes: #493557)

  [ Ben Hutchings ]
  * Move virtual packages to end of dependency alternations
  * Move OpenJDK dependencies to start of dependency alternations
  * Replace recommendation of Sun JVM with OpenJDK
  * Fix "2<" to "2>" in postinst and postrm
  * Avoid adding current directory to LD_LIBRARY_PATH

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 10 Dec 2008 03:15:10 +0000

tuxguitar (1.0-1ubuntu1) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Mon, 22 Sep 2008 03:34:37 +0200

tuxguitar (1.0-1) unstable; urgency=low

  * New upstream release (Closes: #481728) also (LP: #176979, #212207)

 -- Philippe Coval <rzr@users.sf.net>  Thu, 19 Jun 2008 00:30:30 +0200

tuxguitar (0.9.99~1.0rc4-1) unstable; urgency=low

  * New Upstream release (1.0-rc4 retitled to 0.9.99~1.0rc4)
  * Fixed plugin loading bug by hardcoding path (Closes: #479668)

 -- Philippe Coval <rzr@users.sf.net>  Sat, 17 May 2008 01:19:00 +0200

tuxguitar (0.9.99~1.0rc3-1) unstable; urgency=low

  * New Upstream release (1.0-rc3 retitled to 0.9.99~1.0rc3)
  * Updated startup script from upstream
  * debian/control now build with gcj by default not openjdk (Closes: #474410)

 -- Philippe Coval <rzr@users.sf.net>  Sat, 01 May 2008 12:16:00 +0200

tuxguitar (0.9.99~1.0rc2-2) unstable; urgency=low

  * ADD: Support compilers and jvm's based on classpath
  * FIX: arch vs indep for non i386 arch (closes: #474410)

 -- Philippe Coval <rzr@users.sf.net>  Wed, 16 Apr 2008 19:19:52 +0200

tuxguitar (0.9.99~1.0rc2-1) unstable; urgency=low

  * ADD: New Upstream release (1.0-rc2 retitled to 0.9.99~1.0rc2)
  * FIX: Only on sun-java6 supported (Closes: #466986)
  * FIX: Compile in 1.4 format (Closes: #466038)
  * ADD: plugins ALSA and OSS (natives JNI) (Closes: #439669)

 -- Philippe Coval <rzr@users.sf.net>  Mon, 17 Mar 2008 19:37:27 +0100

tuxguitar (0.9.1-4) unstable; urgency=low



=== debian/control ===
Source: tuxguitar
Section: sound
Priority: optional
Maintainer: Philippe Coval <rzr@gna.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 7), docbook-to-man, docbook-utils, quilt, ant, gcj, default-jdk | java2-compiler, libswt-gtk-3.5-java, libitext-java, libasound2-dev, libfluidsynth-dev
Standards-Version: 3.8.4
Homepage: http://www.tuxguitar.com.ar
Vcs-Git: git://git.debian.org/git/pkg-java/tuxguitar.git
Vcs-Browser: http://git.debian.org/git/pkg-java/tuxguitar.git

Package: tuxguitar
Architecture: all
Section: sound
Depends: default-jre | java2-runtime, libitext-java, libswt-gtk-3.5-java, libswt-cairo-gtk-3.5-jni , libswt-mozilla-gtk-3.5-jni, xulrunner-1.9.1, ${misc:Depends}
Recommends: tuxguitar-alsa (= ${source:Version}), tuxguitar-oss (= ${source:Version})
Suggests: tuxguitar-jsa (= ${source:Version}), lilypond
Description: Multitrack guitar tablature editor and player (gp3 to gp5)
 TuxGuitar is a multitrack Guitar tablature editor and player.
 It can open GP3, GP4, and GP5 files and exports in MIDI and PDF.

Package: tuxguitar-jsa
Architecture: all
Section: sound
Depends: tuxguitar (= ${source:Version}), default-jre | sun-java6-jre | sun-java5-jre, ${misc:Depends}
Description: tuxguitar plugin for sound playback using Java Sound API
 Use Tuxguitar along this plugin if unsure, other sounds can be used too.

Package: tuxguitar-alsa
Architecture: any
Section: sound
Depends: ${shlibs:Depends}, tuxguitar (= ${source:Version}), ${misc:Depends}
Suggests: timidity
Description: tuxguitar plugin for sound playback using ALSA
 Use Tuxguitar along this plugin if your Sound Device is supported by ALSA.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-oss
Architecture: any
Section: sound
Depends: ${shlibs:Depends}, tuxguitar (= ${source:Version}), oss-compat, ${misc:Depends}
Suggests: timidity
Priority: extra
Description: tuxguitar plugin for sound playback using OSS
 Use Tuxguitar along this plugin if your Sound Device is supported by OSS.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-fluidsynth
Architecture: any
Section: sound
Depends: ${shlibs:Depends}, tuxguitar (= ${source:Version}), fluidsynth, ${misc:Depends}
Priority: extra
Description: tuxguitar plugin for sound playback using fluidsynth
 Use Tuxguitar along this plugin if your audio system is configured for 
 fluidsynth as MIDI expander.

Package: tuxguitar-jack
Architecture: any
Section: sound
Depends: ${shlibs:Depends}, tuxguitar (= ${source:Version}), libjack-dev, ${misc:Depends}
Suggests: qjackctl
Priority: extra
Description: tuxguitar plugin for sound playback using JACKD
 Use Tuxguitar along this plugin if your Sound Device is supported by JACK.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-snapshot
Architecture: all
Section: sound
Depends: ${shlibs:Depends}, tuxguitar (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: tuxguitar unreleased version
 TODO: Remove on issue and upgrade tuxguitar
